# Module core::char [−] [src]

Character manipulation.

For more details, see ::rustc_unicode::char (a.k.a. std::char)

## Structs

EscapeDefault | An iterator that yields the literal escape code of a `char`.
EscapeUnicode | Returns an iterator that yields the hexadecimal Unicode escape of a character, as `char`s.

## Constants

MAX | The highest valid code point a `char` can have.

## Functions

from_digit | Converts a digit in the given radix to a `char`.
from_u32 | Converts a `u32` to a `char`.
from_u32_unchecked | Converts a `u32` to a `char`, ignoring validity.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize`)